# List option values

> Retrieve the values of a product option.

`GET /rest/api/product_options/{productOptionId}/option_values`

Retrieves the collection of Option Value resources.

Returns the values of a given option, ordered by `position`. Set the `X-Flowkiwi-Locale` header to read translatable `value` strings in a given locale.

## Headers

| Name                         | Type      | Required | Description                                                                                                                                       |
| ---------------------------- | --------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| `X-Flowkiwi-Organization-Id` | `string`  | Yes      | The organization the request acts as. Determines the identity, permissions and ownership applied when reading or modifying data on the instance.  |
| `X-Flowkiwi-Locale`          | `string`  | -        | Specifies the locale for properties that support localization. If not provided, the default locale will be used.                                  |
| `X-Flowkiwi-Locale-Fallback` | `boolean` | -        | Enables the use of a fallback locale. If a property lacks a translation for the requested locale, the value from the default locale will be used. |

## Path parameters

| Name              | Type     | Required | Description                      |
| ----------------- | -------- | -------- | -------------------------------- |
| `productOptionId` | `string` | Yes      | ProductOptionResource identifier |

## Query parameters

| Name               | Type     | Required | Description |
| ------------------ | -------- | -------- | ----------- |
| `order[createdAt]` | `string` | -        |             |
| `order[updatedAt]` | `string` | -        |             |

## Response

**200** - Option Value collection

| Property           | Type             | Required | Description |
| ------------------ | ---------------- | -------- | ----------- |
| `hydra:totalItems` | `integer`        | -        |             |
| `hydra:search`     | `object`         | -        |             |
| `hydra:member`     | `Option.Value[]` | Yes      |             |

## Errors

**403** - Access denied. The caller is missing one or more identity permissions required for this operation.

| Property             | Type       | Required | Description                                                                                                                                |
| -------------------- | ---------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------ |
| `@context`           | `object`   | -        |                                                                                                                                            |
| `@id`                | `string`   | Yes      |                                                                                                                                            |
| `@type`              | `string`   | Yes      |                                                                                                                                            |
| `type`               | `string`   | -        |                                                                                                                                            |
| `title`              | `string`   | -        |                                                                                                                                            |
| `status`             | `integer`  | -        |                                                                                                                                            |
| `detail`             | `string`   | -        |                                                                                                                                            |
| `missingPermissions` | `string[]` | -        | Identity permissions that the caller is missing for this operation. Present only when the 403 is caused by a denied identity:* permission. |

## Examples

### Example request

```bash
curl -X GET 'https://<tenant>.product-management.flowkiwi.net/rest/api/product_options/<option_id>/option_values' \
  -H 'Authorization: Bearer {token}' \
  -H 'X-Flowkiwi-Organization-Id: <org_id>' \
  -H 'Accept: application/ld+json'
```

### Example response

```json
{
  "hydra:member": [
    {
      "@context": "/rest/api/contexts/OptionValue",
      "@id": "/rest/api/OptionValues/7d572291-d7bc-5108-9891-0758dce167f3",
      "@type": "OptionValue",
      "id": "7d572291-d7bc-5108-9891-0758dce167f3",
      "value": "Blue",
      "position": 0,
      "productOption": "/rest/api/productOptions/5be56050-aac5-5a2a-83b0-05aaba3f2f22",
      "variants": [
        "/rest/api/variants/74f1b9de-16b3-5b14-9512-68f256acc308",
        "/rest/api/variants/46e30801-fe92-50a2-bbc2-7c7dc02e45b2"
      ],
      "createdAt": "2024-01-01T00:00:00+00:00",
      "updatedAt": "2024-01-01T00:00:00+00:00"
    }
  ],
  "hydra:totalItems": 1
}
```
